package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 事件报告清单对象 t_incident_records
 *
 * @author ruoyi
 * @date 2021-07-27
 */
public class TIncidentRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "日期", width = 20, dateFormat = "yyyy-MM-dd")
    private Date incidentDate;

    @JsonFormat(pattern = "yyyy" , timezone = "GMT+8")
    private String incidentYear;

    /** 事故报告编号 */
    @Excel(name = "事故报告编号", width = 40)
    private String reportNo;

    /** 调查报告编号 */
    @Excel(name = "调查报告编号", width = 50)
    private String investigationNo;

    /** 单位 */
    @Excel(name = "单位")
    private String company;

    /** 承包商 */
    @Excel(name = "承包商", dictType = "YES_NO_EN")
    private String contractor;

    /** 事件分类 */
    @Excel(name = "事件分类", dictType = "INCIDENT_CLASSIFICATION")
    private String classification;

    /** 未遂事件风险类别 */
    @Excel(name = "未遂事件风险类别", dictType = "RISKKIND_NM")
    private String riskKind;

    /** 物料/作业 */
    @Excel(name = "物料/作业")
    private String materials;

    /** 漏量 */
    @Excel(name = "漏量")
    private String leakedAmount;

    /** 工艺安全相关事件 */
    @Excel(name = "工艺安全相关事件")
    private String processSafety;

    /** 是否工艺系统 */
    @Excel(name = "是否工艺系统", dictType = "YES_NO_EN")
    private String processSystem;

    /** OAD */
    @Excel(name = "OAD", dictType = "OAD")
    private String oad;

    /** 事件简述/机械/电仪问题 */
    @Excel(name = "事件简述/机械/电仪问题")
    private String bridfing;

    /** 实际后果事件分级 */
    @Excel(name = "实际后果事件分级", dictType = "ACTUAL_CLASSIFICATION")
    private String actualClassification;

    /** 潜在的可能性和严重性 */
    private String potential;

    /** 可能性 */
    @Excel(name = "可能性", dictType = "PROBABILITY")
    private String probability;

    /** 严重性 */
    @Excel(name = "严重性", dictType = "SEVERITY")
    private String severity;

    /** 风险等级 */
    @Excel(name = "风险等级", dictType = "RISK_CLASS")
    private String riskClass;

    /** 潜在后果事件等级 */
    @Excel(name = "潜在后果事件等级", dictType = "POTENTIAL_LEVEL")
    private String potentialLevel;

    /** 对策 */
    @Excel(name = "对策")
    private String measures;

    /** 输入AIMS */
    @Excel(name = "输入AIMS")
    private String aims;

    /** 状态 0：正常 2：删除 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setIncidentDate(Date incidentDate)
    {
        this.incidentDate = incidentDate;
    }

    public Date getIncidentDate()
    {
        return incidentDate;
    }
    public void setReportNo(String reportNo)
    {
        this.reportNo = reportNo;
    }

    public String getReportNo()
    {
        return reportNo;
    }
    public void setInvestigationNo(String investigationNo)
    {
        this.investigationNo = investigationNo;
    }

    public String getInvestigationNo()
    {
        return investigationNo;
    }
    public void setCompany(String company)
    {
        this.company = company;
    }

    public String getCompany()
    {
        return company;
    }
    public void setContractor(String contractor)
    {
        this.contractor = contractor;
    }

    public String getContractor()
    {
        return contractor;
    }
    public void setClassification(String classification)
    {
        this.classification = classification;
    }

    public String getClassification()
    {
        return classification;
    }
    public void setRiskKind(String riskKind)
    {
        this.riskKind = riskKind;
    }

    public String getRiskKind()
    {
        return riskKind;
    }
    public void setMaterials(String materials)
    {
        this.materials = materials;
    }

    public String getMaterials()
    {
        return materials;
    }
    public void setLeakedAmount(String leakedAmount)
    {
        this.leakedAmount = leakedAmount;
    }

    public String getLeakedAmount()
    {
        return leakedAmount;
    }
    public void setProcessSafety(String processSafety)
    {
        this.processSafety = processSafety;
    }

    public String getProcessSafety()
    {
        return processSafety;
    }
    public void setProcessSystem(String processSystem)
    {
        this.processSystem = processSystem;
    }

    public String getProcessSystem()
    {
        return processSystem;
    }
    public void setOad(String oad)
    {
        this.oad = oad;
    }

    public String getOad()
    {
        return oad;
    }
    public void setBridfing(String bridfing)
    {
        this.bridfing = bridfing;
    }

    public String getBridfing()
    {
        return bridfing;
    }
    public void setActualClassification(String actualClassification)
    {
        this.actualClassification = actualClassification;
    }

    public String getActualClassification()
    {
        return actualClassification;
    }
    public void setPotential(String potential)
    {
        this.potential = potential;
    }

    public String getPotential()
    {
        return potential;
    }
    public void setPotentialLevel(String potentialLevel)
    {
        this.potentialLevel = potentialLevel;
    }

    public String getPotentialLevel()
    {
        return potentialLevel;
    }
    public void setMeasures(String measures)
    {
        this.measures = measures;
    }

    public String getMeasures()
    {
        return measures;
    }
    public void setAims(String aims)
    {
        this.aims = aims;
    }

    public String getAims()
    {
        return aims;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public String getIncidentYear() { return incidentYear; }

    public void setIncidentYear(String incidentYear) { this.incidentYear = incidentYear; }
    public void setProbability(String probability) { this.probability = probability; }

    public String getProbability() { return probability; }
    public void setSeverity(String severity) { this.severity = severity; }

    public String getSeverity() { return severity; }
    public void setRiskClass(String riskClass) { this.riskClass = riskClass; }

    public String getRiskClass()
    {
        return riskClass;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("incidentDate", getIncidentDate())
            .append("incidentYear", getIncidentYear())
            .append("reportNo", getReportNo())
            .append("investigationNo", getInvestigationNo())
            .append("company", getCompany())
            .append("contractor", getContractor())
            .append("classification", getClassification())
            .append("riskKind", getRiskKind())
            .append("materials", getMaterials())
            .append("leakedAmount", getLeakedAmount())
            .append("processSafety", getProcessSafety())
            .append("processSystem", getProcessSystem())
            .append("oad", getOad())
            .append("bridfing", getBridfing())
            .append("actualClassification", getActualClassification())
            .append("potential", getPotential())
            .append("potentialLevel", getPotentialLevel())
            .append("measures", getMeasures())
            .append("aims", getAims())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("probablility", getProbability())
            .append("severity", getSeverity())
            .append("riskClass", getRiskClass())
            .append("deptId", getDeptId())
            .toString();
    }
}
